package com.huigou.topsun.technology.application;


import com.huigou.topsun.technology.domain.model.Technology;
import com.huigou.topsun.technology.domain.query.TechnologyQueryRequest;
import com.huigou.topsun.technology.vo.TechnologyVo;

import java.util.List;
import java.util.Map;

/**
* @author 16508
* @description 针对表【technology(工艺)】的数据库操作Service
* @createDate 2023-11-22 11:04:03
*/
public interface TechnologyApplication {

    public static final String QUERY_XML_FILE_PATH = "config/topsun/technology/technology.xml";

    Map<String,Object> slicedTechnologyList(TechnologyQueryRequest queryRequest);

    TechnologyVo saveTechnology(TechnologyVo technologyVo);

    TechnologyVo updateTechnologyVo(TechnologyVo technologyVo);

    void deleteTechnology(List<String> ids);

    TechnologyVo findTechnologyByTechnologyIdId(String technologyId);


    Map<String, Object> queryTechnologyByProduct(TechnologyQueryRequest queryRequest);
}
